Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.AnnotationSummaryCallback Class Reference

Inherits SystemIDisposable.

## Public Types
enum | AnnotationSummaryStringID { AnnotationSummaryStringID.e_AnnotationSummaryStringIDAuthor = 0, AnnotationSummaryStringID.e_AnnotationSummaryStringIDDate = 1, AnnotationSummaryStringID.e_AnnotationSummaryStringIDPage = 2, AnnotationSummaryStringID.e_AnnotationSummaryStringIDType = 3, AnnotationSummaryStringID.e_AnnotationSummaryStringIDDocumentTitle = 4, AnnotationSummaryStringID.e_AnnotationSummaryStringIDPageTitle = 5, AnnotationSummaryStringID.e_AnnotationSummaryStringIDNoAnnotations = 6, AnnotationSummaryStringID.e_AnnotationSummaryStringIDNumber = 7, AnnotationSummaryStringID.e_AnnotationSummaryStringIDSubject = 8 }
| Enumeration for string ID used to specify the string or prefix in result document when summarizing annotation. More...

## Public Member Functions
virtual LocaleID | GetCurrentLocaleID ()
| A callback function used to specify current locale ID. More...
virtual string | GetLocalFontName ()
| A callback function used to specify the font name used locally. More...
virtual string | LoadString (AnnotationSummaryCallback.AnnotationSummaryStringID id)
| A callback function used to load a string in local language for a specified case. More...
virtual void | Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object which is used during summarizing annotation to allow user to decide some format/data. All the pure virtual functions in this class are used as callback functions and should be implemented by user. An implemented AnnotationSummaryCallback object can be set to a AnnotationSummary object by function AnnotationSummary.SetCallback .

## Member Enumeration Documentation

## ◆ AnnotationSummaryStringID

enum foxit.pdf.AnnotationSummaryCallback.AnnotationSummaryStringID
| strong

Enumeration for string ID used to specify the string or prefix in result document when summarizing annotation.

Values of this enumeration can be used alone.

Enumerator
e_AnnotationSummaryStringIDAuthor | Annotations summary string ID: specify the prefix when author information is outputed in result document. Default prefix is "Author:".
e_AnnotationSummaryStringIDDate | Annotations summary string ID: specify the prefix when date information is outputed in result document. Default prefix is "Date:".
e_AnnotationSummaryStringIDPage | Annotations summary string ID: specify the prefix when page information is outputed in result document. Default prefix is "Page:".
e_AnnotationSummaryStringIDType | Annotations summary string ID: specify the prefix when annotation type is outputed in result document. Default prefix is "Type:".
e_AnnotationSummaryStringIDDocumentTitle | Annotations summary string ID: specify the document title in result document. Default title is "Summary of comments:".
e_AnnotationSummaryStringIDPageTitle | Annotations summary string ID: specify the prefix when page title is outputed in result document. Default string is "Page:".
e_AnnotationSummaryStringIDNoAnnotations | Annotations summary string ID: specify the string used as content in result document when a page does not have any annotation. Default content is "No Annotations.".
e_AnnotationSummaryStringIDNumber | Annotations summary string ID: specify the prefix when number information is outputed in result document. Default prefix is "Number:".
e_AnnotationSummaryStringIDSubject | Annotations summary string ID: specify the prefix when subject information is outputed in result document. Default prefix is "Subject:".

## Member Function Documentation

## ◆ GetCurrentLocaleID()

LocaleID foxit.pdf.AnnotationSummaryCallback.GetCurrentLocaleID | ( |  | ) |
| inline virtual

A callback function used to specify current locale ID.

Locale ID is used to decide locale format for some information, such as date format.

Returns
  A locale ID. Please refer to values starting from foxit.common.LocaleID.e_LocaleIDUnspecified and this should be one of these values. If returned locale ID is not supported, Foxit PDF SDK will use value foxit.common.LocaleID.e_LocaleIDUnspecified by default.

## ◆ GetLocalFontName()

string foxit.pdf.AnnotationSummaryCallback.GetLocalFontName | ( |  | ) |
| inline virtual

A callback function used to specify the font name used locally.

This function is very useful for user to specify the font used in result document.

Returns
  Font name string. If an empty string is returned, Foxit PDF SDK will use "Helvetica" as default font name. If returned font name is invalid, this name will not take any effect.

## ◆ LoadString()

string foxit.pdf.AnnotationSummaryCallback.LoadString | ( | AnnotationSummaryCallback.AnnotationSummaryStringID | id | ) |
| inline virtual

A callback function used to load a string in local language for a specified case.

This function is very useful for user to use local language for some string content in result document. By using this function, user can re-write or translate default output strings to local language for specified case in result document. Default output strings for these specified cases can be found in comment for values starting from foxit.pdf.AnnotationSummaryCallback.AnnotationSummaryStringID.e_AnnotationSummaryStringIDAuthor .
Specially, Foxit PDF SDK will add some necessary information/data to the format part in the result document, in order to make content in the result document more useful.

Parameters

  [in] | id | An annotation summary string ID to specify a summary case. Please refer to values starting from foxit.pdf.AnnotationSummaryCallback.AnnotationSummaryStringID.e_AnnotationSummaryStringIDAuthor and this would be one of these values.

Returns
  A string used for the specified case.

## ◆ Release()

void foxit.pdf.AnnotationSummaryCallback.Release | ( |  | ) |
| inline virtual

A callback function used to release current callback object itself.

Returns
  None.